# Interface QuantileCombiner.Quantiler

Enclosing class:
  `QuantileCombiner`

@Equality public static interface QuantileCombiner.Quantiler
Defines the calculation of the combined result from submitted data values.

Since:
  6 Nov 2015
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`double`
`calculateValue(double[] sortedValues)`
Calculates the output (typically, but not necessarily, quantile) value from a sorted list of submitted data values.

## Method Details

### calculateValue

double calculateValue(double[] sortedValues)
Calculates the output (typically, but not necessarily, quantile) value from a sorted list of submitted data values.

Parameters:
  `sortedValues` - sorted array of finite numeric values
Returns:
  combined result value